Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class UiExpressionDeltaValidator.IdTypePair

    java.lang.Object
      |
      +--oracle.apps.cz.cio.UiExpressionDeltaValidator.IdTypePair

Enclosing class:
  UiExpressionDeltaValidator

public static final class UiExpressionDeltaValidator.IdTypePair
extends java.lang.Object

Field Summary
`int` | `id`
`boolean` | `isIdPersistent`
`byte` | `type`
`int` | `uiDefID`

Constructor Summary
`UiExpressionDeltaValidator.IdTypePair(int ID, byte TYPE)`
`UiExpressionDeltaValidator.IdTypePair(int ID, byte TYPE, int uiDefId, boolean persistent)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    public final int id

### type

    public final byte type

### isIdPersistent

    public final boolean isIdPersistent

### uiDefID

    public final int uiDefID

Constructor Detail

### UiExpressionDeltaValidator.IdTypePair

    public UiExpressionDeltaValidator.IdTypePair(int ID,
                                                 byte TYPE)

### UiExpressionDeltaValidator.IdTypePair

    public UiExpressionDeltaValidator.IdTypePair(int ID,
                                                 byte TYPE,
                                                 int uiDefId,
                                                 boolean persistent)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.